%bcond_without tests

Name:           python-dkimpy
Version:        1.1.8
Release:        %mkrel 1
Summary:        DKIM, ARC, and TLSRPT email signing and verification
Group:          Development/Python
License:        Zlib
URL:            https://launchpad.net/dkimpy
Source0:        %{pypi_source dkimpy}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  openssl
%endif

%description
dkimpy is a library that implements DKIM (DomainKeys Identified Mail)
email signing and verification.

%package -n     python3-dkimpy
Summary:        DKIM, ARC, and TLSRPT email signing and verification
Group:          Development/Python
Provides:       dkimpy = %{version}-%{release}

%description -n python3-dkimpy
dkimpy is a library that implements DKIM (DomainKeys Identified Mail)
email signing and verification.

%pyproject_extras_subpkg -n python3-dkimpy ARC,asyncio,ed25519


%prep
%autosetup -p1 -n dkimpy-%{version}

# Drop shebang for these files, as we don't need them
sed -e "s|^#!/usr/bin/.*python$||" -i dkim/{arcsign.py,arcverify.py,dkimsign.py,dkimverify.py,dknewkey.py}


%generate_buildrequires
%pyproject_buildrequires -x ARC,asyncio,ed25519,testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dkim

%check
%pyproject_check_import
%if %{with tests}
%{py3_test_envvars} %{python3} -m unittest -v
%endif

%files -n python3-dkimpy -f %{pyproject_files}
%doc ChangeLog README.md
%{_bindir}/arcsign
%{_bindir}/arcverify
%{_bindir}/dkimsign
%{_bindir}/dkimverify
%{_bindir}/dknewkey
%{_mandir}/man1/arcsign.1*
%{_mandir}/man1/arcverify.1*
%{_mandir}/man1/dkimsign.1*
%{_mandir}/man1/dkimverify.1*
%{_mandir}/man1/dknewkey.1*


%changelog
* Thu Feb 20 2025 daviddavid <daviddavid> 1.1.8-1.mga10
+ Revision: 2150089
- initial package python-dkimpy (mga#34030)

